#
# spec file for package python-python-qprogedit
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-python-qprogedit
Version:        4.1.2
Release:        2.26
Summary:        A QScintilla-based text-editor component
License:        GPL-3.0-or-later
Group:          Development/Languages/Python
Url:            https://github.com/smathot/QProgEdit
Source:         https://files.pythonhosted.org/packages/source/p/python-qprogedit/python-qprogedit-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/smathot/QProgEdit/master/copyright
BuildRequires:  %{python_module QtPy}
BuildRequires:  %{python_module qscintilla-qt5}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-QtPy
Requires:       python-qscintilla-qt5
BuildArch:      noarch

%python_subpackages

%description
QProgEdit is a PyQt widget that implements a text editor
component. Its primary target at the moment is OpenSesame, a graphical
experiment builder.

%prep
%setup -q -n python-qprogedit-%{version}
cp %{SOURCE1} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license copyright
%{python_sitelib}/*

%changelog
* Wed Mar 20 2019 Jan Engelhardt <jengelh@inai.de>
- Trim filler wording and fixup grammar within the description.
* Wed Mar 20 2019 John Vandenberg <jayvdb@gmail.com>
- Convert to single spec
- Add %%license
- Update to v4.1.2
  * Fix misbound function call in JavaScript lexer
- from v4.1.1
  * Slight improvements to JavaScript lexer
- from v4.1.0
  * Add JavaScript lexer
- from v4.0.11
  * Fix keyboard shortcut for preferences
- from v4.0.10
  * Use 0 instead of None to disable wordWrapMarker
    Necessary because the OpenSesame config chokes on config options
    with different types
- from v4.0.9
  * Fix copy-paste issues on MacOS
- from v4.0.7
  * Convert line endings to unix-style when pasting
* Fri Nov 11 2016 avvissu@yandex.by
- Update to 4.0.6:
  * see: /usr/share/doc/packages/python-qprogedit/changelog
- Swith to Qt5
* Sat Mar 12 2016 avvissu@yandex.ru
- Update to 3.2.2:
  * see: /usr/share/doc/packages/python-qprogedit/changelog
* Wed Jun  3 2015 avvissu@yandex.ru
- Initial package
